> ## Documentation Index
> Fetch the complete documentation index at: https://docs.collective.work/llms.txt
> Use this file to discover all available pages before exploring further.

# List applications

> Retrieve shortlisted applications for a job in your organization and the selected environment, including open, paused, and closed jobs. The sandbox returns a sample application for your sandbox job.



## OpenAPI

````yaml GET /job/applications
openapi: 3.0.1
info:
  title: Collective Work Job API
  description: API for managing job postings on the Collective Work platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.collective.work/{environment}/v1
    description: Collective Work API server
    variables:
      environment:
        default: sandbox
        description: API environment
        enum:
          - sandbox
          - production
security:
  - bearerAuth: []
paths:
  /job/applications:
    get:
      description: >-
        Retrieve shortlisted applications for a job in your organization and the
        selected environment, including open, paused, and closed jobs. The
        sandbox returns a sample application for your sandbox job.
      parameters:
        - in: query
          name: id
          schema:
            type: string
          required: true
          description: >-
            ID of the job to retrieve applications for (can be either the job ID
            or the internal job ID)
      responses:
        '200':
          description: Applications retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetApplicationsResponseDto'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: >-
            Missing or invalid API key, or organization without production API
            access. Use Authorization: Bearer <organization API key>.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
components:
  schemas:
    GetApplicationsResponseDto:
      type: object
      required:
        - jobId
        - internalJobId
        - applications
      properties:
        jobId:
          type: string
          description: Unique identifier of the job posting generated by Collective.
          example: cm71yqftr00000ck0bpz3hpg1
        internalJobId:
          type: string
          description: >-
            Your job identifier, provided at creation, or null when not set.
            This field is always present.
          example: JOB-2024-001
          nullable: true
        applications:
          type: array
          description: List of applications for the job
          items:
            $ref: '#/components/schemas/ApplicationSummaryDto'
    Error400:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: array
          items:
            type: string
        statusCode:
          type: integer
          example: 400
        error:
          type: string
          example: Bad Request
    Error401:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: string
          example: 'Invalid authorization header: Please provide a valid API key'
        statusCode:
          type: integer
          example: 401
        error:
          type: string
          example: Unauthorized
    Error404:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: array
          items:
            type: string
          example:
            - Resource not found
        statusCode:
          type: integer
          example: 404
        error:
          type: string
          example: Not Found
    Error500:
      type: object
      required:
        - message
        - error
        - statusCode
      properties:
        message:
          type: array
          items:
            type: string
          example:
            - Internal server error
        statusCode:
          type: integer
          example: 500
        error:
          type: string
          example: Internal Server Error
    ApplicationSummaryDto:
      type: object
      required:
        - id
        - createdAt
      properties:
        id:
          type: string
          description: Unique identifier of the application
          example: cm71yqftr00000ck0bpz3hpg1
        createdAt:
          type: string
          format: date-time
          description: Date when the application was created
          example: '2024-01-15T10:30:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your organization API key, available in [Organisation
        settings](https://app.collective.work/recruiter/organization/api).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.